<template>
    <div>
        <div class="tab-btn">
            <button
                class="btn tab-btn btn-link m-auto"
            >
                <span
                    class="my-icon"
                />
                <span> SMS </span>
            </button>
            <button
                class="btn tab-btn btn-link"
            >
                <span
                    class="my-icon"
                />
                <span> Email </span>
            </button>
            <button
                class="btn tab-btn btn-link"
            >
                <span
                    class="my-icon"
                />
                <span> Push </span>
            </button>
            <button
                class="btn tab-btn btn-link"
            >
                <span
                    class="my-icon"
                />
                <span> Save </span>
            </button>
        </div>
    </div>
</template>

<script>

export default {
    name: "SettingTabs",

}
</script>

<style scoped lang="scss">

.tab-btn {
    width: 100%;
    padding: 15px 10px;
    font-size: 14px;
    display: flex;
    margin-bottom: 20px;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    background: transparent;
    border: 1px solid #DEE1E6;
    color: #98A0A6;
    font-weight: bold;

    &:hover {
        color: #4786FF;
        text-decoration: none;
    }

    &:focus {
        border: none;
        text-decoration: none;
    }
}

.my-icon {
    margin-right: 10px;
    font-size: 17px;
}

.tab__selected {
    background-color: white;
    border-color: rgba(200, 208, 222, 0.2);
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);

    &:focus {
        border: none;
    }
    span {
        color: black;
    }


}

.tab-section {
    margin-top: 30px;
    margin-bottom: 10px;
}

</style>
